
# Package Onestartup Factura digital

  **onestartup/factura-digital** es una libreria para consumir la api de facturadigital.com.mx

# Instalación

- Correr el siguiente comando en la terminal
```php
composer require onestartup/factura-digital
```

- Agregar la siguiente linea al arreglo de provider en el archivo configuracion en config/app.php
```php
 Onestartup\FacturaDigital\FacturaDigitalProvider::class,
```

- Agregar la siguiente linea al arreglo de aliases en el archivo configuracion en config/app.php
```
	'FacturaDigital' => Onestartup\FacturaDigital\Facades\Factura::class,
```

- Agregar varaibles en archivo .env
```
USER_FACTURA_DIGITAL=usuario
PASSWORD_FACTURA_DIGITAL=password
```

# Como utilizar la libreria:

Registrar los datos generales de la factura
>     $factura = FacturaDigital::setSerie('F')
>						->setFolio('71278')
>						->setFecha('AUTO')
>						->setFormaPago('01')
>						->setCondicionesDePago('CONDICIONES')
>						->setSubTotal('200'.00)
>						->setDescuento('50.00')
>						->setMoneda('MXN')
>						->setTipoCambio('1')
>						->setTotal('174.00')
>						->setTipoDeComprobante('I')
>						->setMetodoPago('PUE')
>						->setLugarExpedicion('67150')
>						->setLeyendaFolio('Factura');

Configurar regimen del emisor
>	  $emisor = FacturaDigital::emisor()
>					->setRegimenFiscal('612')
>					->getData();

Configurar datos del receptor
>	  $receptor = FacturaDigital::receptor()
>						->setRfc('NDI120326HF5')
>						->setNombre('Novatech Digital SA de CV')
>						->setNumRegIdTrib('')
>						->setUsoCFDI('G03')
>						->setCalle('Palmas')
>						->setNoExt('129')
>						->setColonia('Centro')
>						->setMunicipio('Guadalupe')
>						->setEstado('Nuevo León')
>						->setPais('Mexico')
>						->setCodigoPostal('98000')
>						->getData();

Registrar los conceptos a facturar
>     $concepto = FacturaDigital::concepto()
>						->setClaveProdServ('01010101')
>						->setNoIdentificacion('01')
>						->setCantidad('1.00')
>						->setClaveUnidad('KGM')
>						->setUnidad('Kilo')
>						->setDescripcion('Pantalla LSC Sharp')
>						->setValorUnitario('100.00')
>						->setImporte('100')
>						->setDescuento('25')
>						->setImpuestoBase('75.00')
>						->setImpuesto('002')
>						->setImpuestoTipoFactor('Tasa')
>						->setImpuestoTasaOCuota('0.160000')
>						->setImpuestoImporte('12.00')
>						->getData();

>	  $concepto2 = FacturaDigital::concepto()
>						->setClaveProdServ('01010101')
>						->setNoIdentificacion('02')
>						->setCantidad('1.00')
>						->setClaveUnidad('KGM')
>						->setUnidad('PZA')
>						->setDescripcion('Memoria USB')
>						->setValorUnitario('100.00')
>						->setImporte('100.00')
>						->setDescuento('25.00')
>						->setImpuestoBase('75.00')
>						->setImpuesto('002')
>						->setImpuestoTipoFactor('Tasa')
>						->setImpuestoTasaOCuota('0.16000')
>						->setImpuestoImporte('12.00')
>						->getData();

Agregar los conceptos a la lista
>	  $lista = FacturaDigital::listaConceptos()
>				->setConceptos(array($concepto, $concepto2))
>				->getData();


Agregar información del impuesto	
>	    $impuesto = FacturaDigital::impuesto()
>					->setTotalImpuestosTrasladados('24.00')
>					->setImpuesto('002')
>					->setTipoFactor('Tasa')
>					->setTasaOCuota('0.16000')
>					->setImporte('24.00')
>					->getData();
								
Agregar los atributos anteriores a la factura final
>	  $factura->setEmisor($emisor);
>	  $factura->setReceptor($receptor);
>	  $factura->setConceptos($lista);
>	  $factura->setImpuestos($impuesto);

Leer datos de la factura
>	  $factura->getData();

Enviar la factura
>	  $factura->enviar();
	 